Migrez la gestion des sources de conversion à partir de Content API for Shopping

Les sources de conversion Merchant Center vous permettent de consulter les données de conversion provenant des fiches sans frais et de votre site Web dans votre compte Merchant Center. Merchant API vous permet de gérer les sources de conversion de votre compte Merchant Center. Pour en savoir plus, consultez Gérer les sources de conversion.

Cette page explique comment migrer la gestion des sources de conversion de Content API vers Merchant API.

Requêtes

Voici un exemple de comparaison entre Content API for Shopping et Merchant Conversion Sources API pour les requêtes de sources de conversion :

Content API Merchant API
URL GET https://shoppingcontent.googleapis.com/content/v2.1/{MERCHANT_ID}/conversionSources/{CONVERSIONSOURCE_ID} GET https://merchantapi.googleapis.com/conversions/v1/{NAME}
Identifiants {MERCHANT_ID}/conversionSources/{CONVERSIONSOURCE_ID} {NAME}

Méthodes

Voici les modifications apportées aux méthodes de sources de conversion dans l'API Conversion Sources :

Méthode URL dans Content API for Shopping URL dans Merchant API Identifiants dans Content API for Shopping Identifiants dans Merchant API Description
create POST https://shoppingcontent.googleapis.com/content/v2.1/{MERCHANT_ID}/conversionSources POST https://merchantapi.googleapis.com/conversions/v1/accounts/{PARENT}/conversionSources {MERCHANT_ID} {PARENT} Dans Merchant API, propertyName est appelé property.
update PATCH https://shoppingcontent.googleapis.com/content/v2.1/{MERCHANT_ID}/conversionSources/{CONVERSIONSOURCE_ID} PATCH https://merchantapi.googleapis.com/conversions/v1/accounts/{CONVERSIONSOURCE_NAME} {MERCHANT_ID}/conversionSources/{CONVERSIONSOURCE_ID} {CONVERSIONSOURCE_NAME} Dans Merchant API, destinationId est appelé destination.
delete DELETE https://shoppingcontent.googleapis.com/content/v2.1/{MERCHANT_ID}/conversionSources/{CONVERSIONSOURCE_ID} DELETE https://merchantapi.googleapis.com/conversions/v1/accounts/{NAME} {MERCHANT_ID}/conversionSources/{CONVERSIONSOURCE_ID} {NAME} Dans Merchant API, attributionLookbackWindowInDays est appelé attributionLookbackWindowDays.
Dans Merchant API, includeInReporting est appelé report.
undelete POST https://shoppingcontent.googleapis.com/content/v2.1/{MERCHANT_ID}/conversionSources/{CONVERSIONSOURCE_ID}:undelete POST https://merchantapi.googleapis.com/conversions/v1/accounts/{name}:undelete {MERCHANT_ID}/conversionSources/{CONVERSIONSOURCE_ID} {NAME} L'URL et les identifiants sont différents dans Merchant API.
L'API Conversion Sources renvoie ConversionSource au lieu de Empty.
get GET https://shoppingcontent.googleapis.com/content/v2.1/{MERCHANT_ID}/conversionSources/{CONVERSIONSOURCE_ID} GET https://merchantapi.googleapis.com/conversions/v1/accounts/{NAME} {MERCHANT_ID}/conversionSources/{CONVERSIONSOURCE_ID} {NAME} L'URL et les identifiants sont différents dans Merchant API.
list GET https://shoppingcontent.googleapis.com/content/v2.1/{MERCHANT_ID}/conversionSources GET https://merchantapi.googleapis.com/conversions/v1/{PARENT}/conversionSources {MERCHANT_ID} {PARENT} L'URL et les identifiants sont différents dans Merchant API.

Ressources

Le tableau suivant indique les modifications apportées aux ressources de sources de conversion dans l'API Conversion Sources :

Content API for Shopping Merchant API Description
googleAnalyticsLink: {

property_id: int64,

attributionSettings: object,

propertyName: string

}

googleAnalyticsLink: {

propertyId: int64,

attributionSettings: object,

property: string

}

Dans Merchant API, propertyName est appelé property.
merchantCenterDestination: {

destinationId: string,

attributionSettings: object,

displayName: string,

currencyCode: string

}

merchantCenterDestination: {

destination: string,

attributionSettings: object,

displayName: string,

currencyCode: string

}

Dans Merchant API, destinationId est appelé destination.
attributionSettings: {

attributionLookbackWindowDays: int32,

attributionModel: object,

repeated conversionType: {

name: string,

includeInReporting: bool

}

}

attributionSettings: {

attributionLookbackWindowDays: int32,

attributionModel: object,

repeated conversionType: {

name: string,

report: bool

}

}

Dans Merchant API, attributionLookbackWindowInDays est appelé attributionLookbackWindowDays.

Dans Merchant API, includeInReporting est appelé report.